static char* nhoodBits[] = {
 "Annex",
 "Cabbagetown",
 "Central",
 "Chinatown/Kensington",
 "Esplanade",
 "Financial District",
 "Harbourfront",
 "Little Italy",
 "Queen St. W.",
 "Theatre District",
 "Yorkville",
 "Mt. Pleasant",
 "Rosedale",
 "Yonge & Eglinton",
 "Yonge & St. Clair",
 "Beaches",
 "Danforth",
 "East End",
 "Gerrard E.",
 "Scarborough",
 "Eglinton W.",
 "Etobicoke",
 "High Park",
 "Mississauga",
 "St. Clair W.",
 "Markham",
 "North York",
 "Richmond Hill",
 "Thornhill",
 "Woodbridge/Brampton/Concord",
 0
};
static char* regionBits[] = {
 "Downtown",
 "Uptown",
 "East",
 "West",
 "North",
 0
};
static char* typeBits[] = {
 "African",
 "Bar/Club/Pub",
 "Cafe/Bistro",
 "Canadian/American",
 "Caribbean",
 "Chinese",
 "Deli/Diner",
 "East-European",
 "French",
 "Greek",
 "Indian",
 "Italian",
 "Japanese",
 "Latin/Spanish/Portugese",
 "Middle-Eastern",
 "Seafood",
 "South-Asian",
 "Steak House",
 "Tex/Mex",
 "Vegetarian",
 "Wine Bar",
 "Other",
 0
};
static char* priceBits[] = {
 "30-",
 "30-60",
 "60-100",
 "100+",
 "Unknown",
 0
};
static char* cityBits[] = {
 "Brampton",
 "Concord",
 "Don Mills",
 "Etobicoke",
 "Markham",
 "Mississauga",
 "North York",
 "Port Credit",
 "Rexdale",
 "Richmond Hill",
 "Scarborough",
 "Thornhill",
 "Toronto",
 "Unionville",
 "Woodbridge",
 0
};
static DBMask masks[] = {
 { "nhood", nhoodBits },
 { "region", regionBits },
 { "city", cityBits },
 { "type", typeBits },
 { "price", priceBits },
 { "", 0 }
};
static DBField fields[] = {
 { STRING, "name" },
 { STRING, "addr" },
 { STRING, "landmark" },
 { LOOKUP, "nhood" },
 { LOOKUP, "region" },
 { LOOKUP, "city" },
 { STRING, "tel" },
 { MASK, "type" },
 { LOOKUP, "price" },
 { STRING, "torlife" },
 { LAST, 0 }
};
static char f_name[255];
static char f_addr[255];
static char f_landmark[255];
static char f_nhood[16];
static char f_region[16];
static char f_city[16];
static char f_tel[255];
static char f_type[16];
static char f_price[16];
static char f_torlife[255];
void LoadVariables( void ) {
   dbValue( 0, f_name );
   dbValue( 1, f_addr );
   dbValue( 2, f_landmark );
   dbValue( 3, f_nhood );
   dbValue( 4, f_region );
   dbValue( 5, f_city );
   dbValue( 6, f_tel );
   dbValue( 7, f_type );
   dbValue( 8, f_price );
   dbValue( 9, f_torlife );
}
