#include "defs.h"
Header(- Search Form)

<h2>Restaurant Search Form</h2>
<form method="post" action="/cgi-bin/rest">
<p>
 Select search options and click on <i>Submit</i> to obtain a list
 of restaurants that match your criteria.
 Choose more options to narrow the search and reduce the number of hits.
 If you are unsure about how to use this form, you should take a look at some
 <a href="searchintro.html"> examples</a>.<br>
<center>
<p>
Limit number of matches to:

<select name="maxHits">
   <option value=10 selected=1>10
   <option value=25>25
   <option value=50>50
</select>

<input type="submit" value="Submit">
<input type="reset" value="Reset">

<p>
<table>
<tr>
  <td align="right"><b>Name:</b></td>
  <td align="left"><input name="1"></td>
  <td align="center" rowspan="3">
   <b>Cuisine Type:</b>
   <select name="a8">
     <option value="0" selected="1">OR (Any)
     <option value="1">AND (All)
   </select><br>
   <select name="8" MULTIPLE SIZE="6">
    <option value="" selected=1>ANY
    <option value="^0$">African
    <option value="^1$">Bar/Club/Pub
    <option value="^2$">Cafe/Bistro
    <option value="^3$">Canadian/American
    <option value="^4$">Caribbean
    <option value="^5$">Chinese
    <option value="^6$">Deli/Diner
    <option value="^7$">East-European
    <option value="^8$">French
    <option value="^9$">Greek
    <option value="^10$">Indian
    <option value="^11$">Italian
    <option value="^12$">Japanese
    <option value="^13$">Latin/Spanish/Portugese
    <option value="^14$">Middle-Eastern
    <option value="^15$">Other Asian
    <option value="^16$">Seafood
    <option value="^17$">Steak House
    <option value="^18$">Tex/Mex
    <option value="^19$">Vegetarian
    <option value="^20$">Wine Bar
    <option value="^21$">Other
   </select>
  </td>
</tr>
<tr>
  <td align="right"><b>Street:</b></td>
  <td align="left"><input name="2"></td>
</tr>
<tr>
  <td align="center" colspan="2"><b>Dinner for two price:</b><br>
    <input type="checkbox" name="9" value="0"> 30-
    <input type="checkbox" name="9" value="1"> 30-60
    <input type="checkbox" name="9" value="2"> 60-100
    <input type="checkbox" name="9" value="3"> 100+
  </td>
</tr>
</table>

<p><b>Location:</b>
<table>
<tr>
<td>
<table border cellpadding="1"> 
<tr align="center">
 <td><input type="checkbox" name="5" value="0" multi> <i>Downtown</i></td>
 <td colspan="2"><input type="checkbox" name="5" value="1" multi> <i>Uptown</i></td>
</tr>
<tr>
<td rowspan="4">
<font size="-1">
 <input type="checkbox" name="4" value="^0$" multi> Annex<br>
 <input type="checkbox" name="4" value="^1$" multi> Cabbagetown<br>
 <input type="checkbox" name="4" value="^2$" multi> Central<br>
 <input type="checkbox" name="4" value="^3$" multi> Chinatown/<br>Kensington<br>
 <input type="checkbox" name="4" value="^4$" multi> Esplanade<br>
 <input type="checkbox" name="4" value="^5$" multi> Financial District<br>
 <input type="checkbox" name="4" value="^6$" multi> Harbourfront<br>
 <input type="checkbox" name="4" value="^7$" multi> Little Italy<br>
 <input type="checkbox" name="4" value="^8$" multi> Queen St. W.<br>
 <input type="checkbox" name="4" value="^9$" multi> Theatre District<br>
 <input type="checkbox" name="4" value="^10$" multi> Yorkville
</font>
</td>
<td colspan="2"><font size="-1">
 <input type="checkbox" name="4" value="^11$" multi> Mt. Pleasant<br>
 <input type="checkbox" name="4" value="^12$" multi> Rosedale<br>
 <input type="checkbox" name="4" value="^13$" multi> Yonge & Eglinton<br>
 <input type="checkbox" name="4" value="^14$" multi> Yonge & St. Clair
</font></td>
</tr>
<tr align="center">
 <td><input type="checkbox" name="5" value="3" multi> <i>East</i></td>
 <td><input type="checkbox" name="5" value="2" multi> <i>West</i></td>
</tr>
<tr>
<td><font size="-1">
 <input type="checkbox" name="4" value="^15$" multi> Beaches<br>
 <input type="checkbox" name="4" value="^16$" multi> Danforth<br>
 <input type="checkbox" name="4" value="^17$" multi> East End<br>
 <input type="checkbox" name="4" value="^18$" multi> Gerrard E.
</font></td>
<td><font size="-1">
 <input type="checkbox" name="4" value="^20$" multi> Eglinton W.<br>
 <input type="checkbox" name="4" value="^22$" multi> High Park<br>
 <input type="checkbox" name="4" value="^24$" multi> St. Clair W.
</font></td>
</tr>
</table>
</td>
<td>
<table border cellpadding="1">
<tr align="center">
 <td><input type="checkbox" name="5" value="4" multi> <i>Suburbs</i></td>
</tr>
<tr>
 <td><font size="-1">
  <input type="checkbox" name="4" value="^31$" multi> Burlington<br>
  <input type="checkbox" name="4" value="^21$" multi> Etobicoke<br>
  <input type="checkbox" name="4" value="^25$" multi> Markham<br>
  <input type="checkbox" name="4" value="^23$" multi> Mississauga<br>
  <input type="checkbox" name="4" value="^26$" multi> North York<br>
  <input type="checkbox" name="4" value="^30$" multi> Pickering<br>
  <input type="checkbox" name="4" value="^27$" multi> Richmond Hill<br>
  <input type="checkbox" name="4" value="^19$" multi> Scarborough<br>
  <input type="checkbox" name="4" value="^28$" multi> Thornhill<br>
  <input type="checkbox" name="4" value="^29$" multi> Woodbridge/<br>Brampton/Concord
 </font></td>
</tr>
</table>
</td>
</tr>
</table>

</form>
</center>

<p>
ToolBar
Footer
